
### Goals
- The trainee will understand the purpose of DNS
- The trainee will know the flow of the DNS protocol
- The trainee will know how to deploy and manage a DNS server
- The trainee will know how to invoke DNS requests from a machine

### Tasks
- Watch [Application Layer Protocols](https://www.pluralsight.com/courses/application-layer-protocols-cisco-ccna-200-125-100-105), part 4 - DNS
- What is the purpose of the DNS protocol?
- Explain the flow of a DNS request
- What are the differences between recursive DNS servers and authoritative DNS servers?
- Explain the concept of DNS caching server
- In Linux, what file determine to which DNS servers the machine would go to resolve DNS requests?
- Deploy a DNS server on your VM using `named` (also known as `bind9`)
- Use another machine to make sure the configuration works
- Configure the DNS server to work with a DHCP server, so it would add a record for each new host that received an IP address from the DHCP server
- Deploy 2 DNS servers that are in a Master-Slave configuration, make sure you understand how to update the zones of the slave via the master
- Explain the different record types that are available in a DNS zone
- On your server, make sure to also create reverse DNS zones and records
- Use `host` and `dig` commands to resolve hostnames of some websites (also do reverse DNS)

![ddns](./ddns.png)